Recovery Items

List devices and items for a recovery by recovery number.

GET
/api/v1/recoveries/{recovery_number}/items

Description

Returns recovery employee contact/address details and up to five devices in an items array (only populated slots are included).

status is the overall Recover workflow label (e.g. Order Received, Boxes Shipped, Delivered, Return Shipped, Box Received). Each item includes item_status for per-device intake processing.

Request

Headers

HeaderValueRequired
AuthorizationBearer <access_token>Yes
Content-Typeapplication/jsonYes

Path Parameters

ParameterTypeRequiredDescription
recovery_numberstringYesRecovery code (recovery_code on the campaign employee).

Response

FieldTypeDescription
dataobjectRecovery items payload.
data.recovery_numberstringRecovery code.
data.statusstringOverall recovery workflow status. Examples: Order Received, Print Shipping Label, Boxes Shipped, Delivered, Label Requested, Label Delivered, Pickup Requested, Pickup Scheduled, Return Shipped, Box Received, Already Returned, Cancelled, Not Responsive, Recovery Failed, Recovery Order, Delivery Failed.
data.firstnamestringEmployee first name.
data.lastnamestringEmployee last name.
data.send_notifications_tostringWhere recovery email and SMS updates are sent: work or personal.
data.work_emailstringEmployee work email address.
data.personal_emailstringEmployee personal email address.
data.work_phonestringEmployee work phone number.
data.personal_phonestringEmployee personal phone number.
data.work_phone_countrystringISO country code for the work phone.
data.personal_phone_countrystringISO country code for the personal phone.
data.emailstringLegacy alias of work_email. Same value. Prefer work_email.
data.phonestringLegacy alias of work_phone. Same value. Prefer work_phone.
data.phone_countrystringLegacy alias of work_phone_country. Same value. Prefer work_phone_country.
data.address_line_1stringAddress line 1.
data.address_line_2stringAddress line 2.
data.citystringCity.
data.statestringState.
data.zipstringPostal code.
data.countrystringCountry code.
data.itemsarrayDevices for this recovery (max 5 slots).
data.items[].slotnumberItem slot number (1–5).
data.items[].namestringDevice or item name.
data.items[].serial_nostringSerial number.
data.items[].asset_idstringCustomer asset ID.
data.items[].imeistringIMEI (mobile devices).
data.items[].device_typestring | numberDevice type label or code as stored on the recovery record.
data.items[].item_statusstringPer-item intake status from asset receipts (defaults to Pending when not yet received).

Related Endpoints

Did this page help you?